export class RenderPipeline implements GPURenderPipeline {
  __brand: 'GPURenderPipeline'

  _handle: GPURenderPipeline
  _label: string

  get handle() {
    return this._handle
  }

  get label() {
    return this._label
  }

  constructor(pipeline: GPURenderPipeline, label: string) {
    this._handle = pipeline
    this._label = label
  }

  getBindGroupLayout(index: number): GPUBindGroupLayout {
    return this.getBindGroupLayout(index)
  }
}

